mrueg       15/01/03 01:21:20

  Modified:             fcgi-0.9.2.1-r1.ebuild ChangeLog
  Log:
  Add ruby22 target.
  
  (Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key )

Revision  Changes    Path
1.3                  dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild?r1=1.2&r2=1.3

Index: fcgi-0.9.2.1-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- fcgi-0.9.2.1-r1.ebuild      11 Nov 2014 15:30:47 -0000      1.2
+++ fcgi-0.9.2.1-r1.ebuild      3 Jan 2015 01:21:20 -0000       1.3
@@ -1,9 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild,v 1.2 
2014/11/11 15:30:47 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/fcgi-0.9.2.1-r1.ebuild,v 1.3 
2015/01/03 01:21:20 mrueg Exp $
 
 EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21"
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
 
 RUBY_FAKEGEM_TASK_TEST=""
 RUBY_FAKEGEM_TASK_DOC=""
@@ -25,18 +25,10 @@
 SLOT="0"
 
 each_ruby_configure() {
-       case ${RUBY} in
-               *ruby19|*ruby20|*ruby21)
-                       ${RUBY} -C ext/fcgi extconf.rb || die "extconf failed"
-                       ;;
-       esac
+       ${RUBY} -C ext/fcgi extconf.rb || die "extconf failed"
 }
 
 each_ruby_compile() {
-       case ${RUBY} in
-               *ruby19|*ruby20|*ruby21)
-                       emake V=1 -C ext/fcgi
-                       cp ext/fcgi/fcgi$(get_modname) lib || die
-                       ;;
-       esac
+       emake V=1 -C ext/fcgi
+       cp ext/fcgi/fcgi$(get_modname) lib || die
 }



1.23                 dev-ruby/fcgi/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fcgi/ChangeLog?rev=1.23&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fcgi/ChangeLog?rev=1.23&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fcgi/ChangeLog?r1=1.22&r2=1.23

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/ChangeLog,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- ChangeLog   11 Nov 2014 15:30:47 -0000      1.22
+++ ChangeLog   3 Jan 2015 01:21:20 -0000       1.23
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ruby/fcgi
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/ChangeLog,v 1.22 2014/11/11 
15:30:47 mrueg Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fcgi/ChangeLog,v 1.23 2015/01/03 
01:21:20 mrueg Exp $
+
+  03 Jan 2015; Manuel Rüger <[email protected]> fcgi-0.9.2.1-r1.ebuild:
+  Add ruby22 target.
 
   11 Nov 2014; Manuel Rüger <[email protected]> fcgi-0.9.2.1-r1.ebuild,
   fcgi-0.9.2.1.ebuild:




Reply via email to